Skip to main content
GET
/
articles
/
{articleId}
Get article by ID
curl --request GET \
  --url https://helpcenter.thena.ai/articles/{articleId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://helpcenter.thena.ai/articles/{articleId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://helpcenter.thena.ai/articles/{articleId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "_id": "682c3cb454561efcea641c8c",
  "orgId": "EWWESHH5ED",
  "uid": 4275918855,
  "title": "Getting Started Guide",
  "description": "A comprehensive guide to get started",
  "slug": "8588462216-getting-started-guide",
  "state": "draft",
  "authors": [
    "UWW7PBBOPJ"
  ],
  "tags": [
    "667d37bd1e87838451261acb",
    "667d37bd1e87838451261acb"
  ],
  "visibility": "public",
  "createdBy": "UWW7PBBOPJ",
  "isAuthorManuallyUpdated": false,
  "isDeleted": false,
  "images": [
    "48b6750b-0287-4bed-a09b-87977a3adf46"
  ],
  "openaiFileId": "file-oM98KvbyEnEtslwh4bWiyrzu",
  "lastEditedBy": "UWW7PBBOPJ",
  "lastEditedAt": "2025-05-19T08:26:28.556Z",
  "isUpdateRequired": false,
  "objectIds": [],
  "isAiGenerated": false,
  "meta": {
    "title": null,
    "description": null,
    "image": null
  },
  "createdAt": "2025-05-19T08:26:28.561Z",
  "updatedAt": "2025-05-19T08:26:28.561Z",
  "editorArticleName": "EWWESHH5ED_682c3cb454561efcea641c8c",
  "jwtSignedToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "aiToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "publishedVersion": {
    "json": "{\"type\":\"doc\",\"content\":[{\"type\":\"paragraph\",\"attrs\":{\"textAlign\":\"left\"},\"content\":[{\"type\":\"text\",\"text\":\"Hey test\"}]}]}",
    "html": "<p>Hey test</p>",
    "version": 0,
    "publishedBy": "667d37bd1e87838451261acb",
    "publishedAt": "2024-11-20T12:08:22.583Z"
  },
  "helpCenters": [
    "671a2ddbccca6b1c3dc0d3b6"
  ],
  "collections": [
    "671b856c19d8f51c01c0d293"
  ]
}

Authorizations

x-api-key
string
header
required

Enter your API key

Path Parameters

articleId
string
required

Article ID

Example:

"507f1f77bcf86cd799439011"

Response

Article fetched successfully

_id
string
required
Example:

"682c3cb454561efcea641c8c"

orgId
string
required
Example:

"EWWESHH5ED"

uid
number
required
Example:

4275918855

title
string
required
Example:

"Getting Started Guide"

description
string
required
Example:

"A comprehensive guide to get started"

slug
string
required
Example:

"8588462216-getting-started-guide"

state
enum<string>
required
Available options:
draft,
published
Example:

"draft"

authors
string[]
required
Example:
["UWW7PBBOPJ"]
tags
string[]
required
Example:
[
  "667d37bd1e87838451261acb",
  "667d37bd1e87838451261acb"
]
visibility
enum<string>
required
Available options:
public,
private,
customer
Example:

"public"

createdBy
string
required
Example:

"UWW7PBBOPJ"

isAuthorManuallyUpdated
boolean
required
Example:

false

isDeleted
boolean
required
Example:

false

images
string[]
required
Example:
["48b6750b-0287-4bed-a09b-87977a3adf46"]
openaiFileId
string
required
Example:

"file-oM98KvbyEnEtslwh4bWiyrzu"

lastEditedBy
string
required
Example:

"UWW7PBBOPJ"

lastEditedAt
string
required
Example:

"2025-05-19T08:26:28.556Z"

isUpdateRequired
boolean
required
Example:

false

objectIds
string[]
required
Example:
[]
isAiGenerated
boolean
required
Example:

false

meta
object
required
Example:
{
  "title": null,
  "description": null,
  "image": null
}
createdAt
string
required
Example:

"2025-05-19T08:26:28.561Z"

updatedAt
string
required
Example:

"2025-05-19T08:26:28.561Z"

editorArticleName
string
required
Example:

"EWWESHH5ED_682c3cb454561efcea641c8c"

jwtSignedToken
string
required
Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

aiToken
string
required
Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

publishedVersion
object
helpCenters
string[]
Example:
["671a2ddbccca6b1c3dc0d3b6"]
collections
string[]
Example:
["671b856c19d8f51c01c0d293"]